aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorje_fro <je_fro@32389bae-6d03-0410-99cf-db05cde120eb>2008-07-05 17:50:21 +0000
committerje_fro <je_fro@32389bae-6d03-0410-99cf-db05cde120eb>2008-07-05 17:50:21 +0000
commit99ac8d845a5aaf3837468e02529cdb5c4cdbbdd6 (patch)
treed1ce642faf64fd216942438f25ac17b2135b7ba4 /sci-chemistry/gromacs/gromacs-3.3.3.ebuild
parentscamp:version bump and fixes (diff)
downloadsci-99ac8d845a5aaf3837468e02529cdb5c4cdbbdd6.tar.gz
sci-99ac8d845a5aaf3837468e02529cdb5c4cdbbdd6.tar.bz2
sci-99ac8d845a5aaf3837468e02529cdb5c4cdbbdd6.zip
fixing cases when all you want is double-precision, thanks to Shvetsov Alexey on bug #193532
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@1173 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'sci-chemistry/gromacs/gromacs-3.3.3.ebuild')
-rw-r--r--sci-chemistry/gromacs/gromacs-3.3.3.ebuild29
1 files changed, 16 insertions, 13 deletions
diff --git a/sci-chemistry/gromacs/gromacs-3.3.3.ebuild b/sci-chemistry/gromacs/gromacs-3.3.3.ebuild
index da49297a2..e9f5f7d04 100644
--- a/sci-chemistry/gromacs/gromacs-3.3.3.ebuild
+++ b/sci-chemistry/gromacs/gromacs-3.3.3.ebuild
@@ -1,6 +1,7 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
+EAPI="1"
LIBTOOLIZE="true"
inherit autotools eutils flag-o-matic fortran multilib
@@ -83,11 +84,6 @@ src_compile() {
# For more info:
# http://lists.debian.org/debian-gcc/2002/debian-gcc-200201/msg00150.html
- # if we don't set C[XX]FLAGS configure will set: -O3 -finline-functions
- # -funroll-all-loops
-# append-flags "-O3 -finline-functions -funroll-all-loops"
-# use x86 && append-flags "-malign-double"
-
# We will compile single precision by default, and suffix double-precision with _d.
# Sparc is the only arch I can test on that needs to use fortran.
local myconf ;
@@ -174,34 +170,41 @@ src_compile() {
if ( use double-precision && use single-precision ); then
einfo "Building Single Precison Gromacs"
cd "${WORKDIR}"/"${P}"-single
- myconf="${myconf} --enable-float"
+ myconf="${myconf} --enable-float --disable-double --program-suffix=''"
econf ${myconf} || die "Single Precision econf failed"
emake || die "Single Precision emake failed"
einfo "Building Double Precision Gromacs"
cd "${WORKDIR}"/"${P}"-double
- myconf="${myconf} --enable-double --program-suffix=_d"
+ myconf="${myconf} --enable-double --disable-float --program-suffix=_d"
econf ${myconf} || die "Double Precision econf failed"
emake || die "Double Precision emake failed"
- else
+
+ elif use double-precision ; then
+ einfo "Building Double Precison Gromacs"
+ cd "${WORKDIR}"/"${P}"-double
+ myconf="${myconf} --enable-double --disable-float --program-suffix=''"
+ econf ${myconf} || die "Double Precision econf failed"
+ emake || die "Double Precision emake failed"
+
+ elif use single-precision ; then
einfo "Building Single Precison Gromacs"
cd "${WORKDIR}"/"${P}"-single
- myconf="${myconf} $(use_enable double-precision double) \
- $(use_enable single-precision float)"
+ myconf="${myconf} --enable-float --disable-double --program-suffix=''"
econf ${myconf} || die "configure failed"
emake || die "Single Precision emake failed"
fi
}
src_install() {
- if ( use single-precision ); then
+ if use single-precision ; then
einfo "Installing Single Precision"
cd "${WORKDIR}"/"${P}"-single
emake DESTDIR="${D}" install || die "Installing Single Precision failed"
fi
- if ( use double-precision ) ; then
- einfo "Installing Double Precision"
+ if use double-precision ; then
+ einfo "Installing Double Precision"
cd "${WORKDIR}"/"${P}"-double
emake DESTDIR="${D}" install || die "Installing Double Precision failed"
fi